<?php

namespace Database\Seeders;

use App\Models\Members\User;
use Illuminate\Database\Seeder;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();

        User::factory()->create([
            'name' => 'Test User',
            'email' => 'test@example.com',
        ]);

        // 글로벌 메뉴 템플릿 시딩
        $this->call([
            GlobalMenuTemplateSeeder::class,
        ]);
    }
}
